% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/predict_nephrotoxicity.R
\name{predict_nephrotoxicity}
\alias{predict_nephrotoxicity}
\title{Predict Nephrotoxicity and Generate Plot}
\usage{
predict_nephrotoxicity(testX)
}
\arguments{
\item{testX}{Matrix. The test data matrix generated by \code{\link{create_testX}}.}
}
\value{
A list containing two elements:
\describe{
  \item{finalTable}{Data frame with compound names, predicted probabilities, and predicted classes.}
  \item{finalPlot}{A ggplot object showing probability distributions and classification regions.}
}
}
\description{
This function takes a test matrix and makes nephrotoxicity predictions using pre-trained models.
It returns a table with predicted classes and probabilities and a plot.
}
\examples{
testX <- create_testX(system.file("extdata", "compound_template_example.xlsx", package = "predDIKI"))
results <- predict_nephrotoxicity(testX)
results$finalTable
results$finalPlot
}
